#ifdef __cplusplus
#include <string>
const std::string shader_2d_textured_cirlce_frag = R"("
#version 300 es
precision mediump float;

layout (location = 0) out vec4 FragColor;
//layout (location = 1) out vec4 OutMask;
in vec2 uv;
in vec2 pos;

uniform sampler2D tex;
uniform vec4 color;
uniform vec4 use_texture;
//uniform vec4 outline_color;

const float offset = 1.0 / 32.0;

vec4 linear_iter(vec4 i, vec4 p, float factor){
    return (i + p) * factor;
}

void main() {
    float xs = pos.x * pos.x;
    float ys = pos.y * pos.y;
    float ts = xs + ys;
    const float sq = 0.5 * 0.5;
    if (ts >= sq)
        discard;
    FragColor = (texture(tex, uv) * use_texture) + color;
    //OutMask = outline_color;
    //OutMask.a = FragColor.a;
}

")";
#endif